<!DOCTYPE html>
<html lang="en">
<head>
  <?php
  require 'php/setVariables.php';
  require 'php/buttons.php';
  $keywords = "mold facts, frequently asked questions";
  $description = "Mold facts - Frequently Asked Questions. What is mold, and how does it grow?";
  $title = "Mold Facts - Frequently Asked Questions About Molds | CIS";
  require 'req/header.php';
  ?>
  <link rel="stylesheet" href="https://unpkg.com/swiper/swiper-bundle.min.css" media="print" onload="this.media='all'">
  <link rel="stylesheet" href="https://unpkg.com/aos@next/dist/aos.css" media="print" onload="this.media='all'">
  <?php require 'req/topScripts.php'; ?>
</head>
<body>
  <?php require 'req/gtm-body-code.php'; ?>


  <div class="bodyFrame">

    <?php require 'req/topMHeader.php'; ?>

    <!-- begin content -->
    <main>




      <!-- begin orangeBand -->
      <?php require 'req/orangeBand.php'; ?>
      <!-- end orangeBand -->



      <section>
        <div class="whOur whOurFaq bordRem">
          <div class="whOurSize">
            <h1>Mold Facts FAQ</h1>
            <div class="whOurWrap">

              <div class="whOurBox">
                <p class="whExcep">What is mold, and how does it grow?</p>
                <p class="whText"> Mold is a type of fungus that thrives in damp and humid environments. It reproduces through tiny spores that are invisible to the naked eye and can grow on various surfaces, including walls, ceilings, and fabrics.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">Is mold dangerous to health?</p>
                <p class="whText"> Some molds can produce allergens, irritants, and even toxic substances called mycotoxins, which can lead to health issues such as respiratory problems, allergies, and skin irritation.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">What are the common signs of mold growth in a property?</p>
                <p class="whText">Common signs of mold growth include musty odors, visible mold patches, water stains on walls or ceilings, and experiencing unexplained allergy-like symptoms indoors.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">What is black mold, and why is it concerning?</p>
                <p class="whText">Black mold refers to a specific type of mold known as Stachybotrys chartarum. It is concerning because it may produce mycotoxins and is associated with severe health issues in some individuals.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">Can black mold cause more health issues than other types of mold?</p>
                <p class="whText">While black mold can produce mycotoxins, not all strains of black mold are toxic. Health issues depend on individual sensitivity and exposure levels, regardless of mold color.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">How does mold spread in a building?</p>
                <p class="whText">Mold spreads through its spores, which can be carried by air currents, pets, or people. Additionally, mold can grow rapidly in moist environments, leading to further spread.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">What are the common causes of mold growth in homes and buildings?</p>
                <p class="whText">Common causes of mold growth include water leaks, high humidity, poor ventilation, flooding, and damp basements or crawl spaces.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">How can I prevent mold growth in my property?</p>
                <p class="whText">To prevent mold growth, ensure proper ventilation, promptly fix leaks, control indoor humidity levels, and keep your property clean and dry.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">Are there any DIY methods to remove mold effectively?</p>
                <p class="whText">For small mold infestations, mildew cleaners or a mixture of water and detergent can be used. However, larger or persistent mold issues require professional remediation.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">When should I consider professional mold remediation services?</p>
                <p class="whText">You should consider professional mold remediation services when dealing with extensive mold growth (over 10 square feet), hidden mold, or mold-related health concerns.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">How do professionals assess the extent of mold infestation?</p>
                <p class="whText">Professionals use visual inspection, moisture meters, and air sampling to assess the extent of mold infestation and identify potential hidden mold.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">What safety precautions do mold remediation experts take during the process?</p>
                <p class="whText">Mold remediation experts wear personal protective equipment (PPE) to avoid exposure and use containment measures to prevent mold spores from spreading to other areas.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">Can I stay in my home during mold remediation?</p>
                <p class="whText">Depending on the extent of the mold infestation and the remediation process, temporary relocation may be necessary for safety reasons.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">What kind of equipment is used in mold remediation?</p>
                <p class="whText">Mold remediation professionals use air scrubbers, HEPA vacuums, dehumidifiers, and negative air machines to remove mold and spores from the air.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">Will mold remediation completely remove all mold from my property?</p>
                <p class="whText">While mold remediation aims to remove as much mold as possible, complete removal may be challenging in cases of extensive or deeply embedded mold.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">How long does the mold remediation process typically take?</p>
                <p class="whText">The duration of mold remediation depends on the extent of the infestation. It can range from a few days to several weeks for more severe cases.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">Are the chemicals used in mold remediation safe for humans and pets?</p>
                <p class="whText">Mold remediation professionals use EPA-approved and safe cleaning agents. However, it's essential to keep occupants and pets away during the remediation process.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">Can mold return after remediation?</p>
                <p class="whText">Mold can return if the underlying moisture problem is not adequately addressed. Proper ventilation and moisture control are essential for preventing mold recurrence.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">What measures can I take to prevent mold from coming back after remediation?</p>
                <p class="whText">Address any water leaks promptly, maintain proper ventilation, keep indoor humidity levels low (ideally below 50%), and use mold-resistant products when renovating.</p>
              </div><!-- end whOurBox -->

              <div class="whOurBox">
                <p class="whExcep">Does homeowners&apos; insurance cover mold damage and remediation costs?</p>
                <p class="whText">Homeowners&apos; insurance coverage for mold-related damage varies. Some policies may cover mold remediation if the mold growth is a result of a covered water damage event, while others may have exclusions for mold-related claims.</p>
              </div><!-- end whOurBox -->


            </div><!-- end whOurWrap -->

          </div><!-- end whOurSize -->
        </div><!-- end whOur -->
      </section>





    </main>
    <!-- end content -->

  </div><!-- end bodyFrame -->

  <?php require 'req/footer.php'; ?>

</body>
</html>
