<?php
session_start();
require 'function.php';

function validatePhoneNumber($phoneNumber) {
    // Remove any non-digit characters
    $digits = preg_replace('/\D/', '', $phoneNumber);

    $length = strlen($digits);

    // Check the length requirements
    if ($length == 7 || $length == 10 || ($length == 11 && strpos($digits, '1') === 0)) {
        return true;
    }
    return false;
}

$to = 'steve@qci-online.com, marketing@webmastersdesktop.com, amanda@qci-online.com, mariana@qci-online.com, remik@webmastersdesktop.com';
//$to = 'marketing@raptormedia.co';
$no_reply = 'no-reply@qci-online.com';
$subject = 'QCI Online Contact Form Request';

$minFnameCount = 3;
$streetAddressCount = 4;
$cityCount = 4;

$failed_submit_url = '../contactus.php';
if ($_SERVER["REQUEST_METHOD"] == "POST" && empty($_POST['honeypot'])) {

    $name_pattern = "/^[a-zA-Z-' ]+$/";
    $specialChars = "/[#\^£$%&*()}{@#~?><>,|=+¬-]/";

    $email = filter_var($_POST['email'], FILTER_SANITIZE_EMAIL);
    if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
        // die('Invalid email format.');
        header("location: {$failed_submit_url}?error=Invalid email#contactForm");
        exit();
    }

    // Check if first name is valid
    if (!preg_match($name_pattern, $_POST['first-name']) && strlen($_POST['first-name']) < $minFnameCount) {
        // die('Invalid first name format.');
        header("location: {$failed_submit_url}?error=Invalid first name format#contactForm");
        exit();
    }

    // Check if last name is valid
    if (!preg_match($name_pattern, $_POST['last-name']) && strlen($_POST['last-name']) < $minFnameCount ) {
        // die('Invalid last name format.');
        header("location: {$failed_submit_url}?error=Invalid last name format#contactForm");
        exit();
    }

    // if (!preg_match('/^(\d{10}|\d{3}-\d{3}-\d{4})$/', $_POST['cell-phone'])) {
    // if (!preg_match('/^[1-9]\d{9}$|^[1-9]\d{2}-\d{3}-\d{4}$/', $_POST['cell-phone'])) {
    //     // die('Invalid phone number format.');
    //     header("location: {$failed_submit_url}?error=Invalid phone number format#contactForm");
    //     exit();
    // }
    if (! validatePhoneNumber($_POST['cell-phone'])) {
        header("location: {$failed_submit_url}?error=Invalid phone number format#contactForm");
        exit();
    }

    $city = $_POST['city'];

    if( strlen($city) < $cityCount ){
        header("location: {$failed_submit_url}?error=City is wrong#contactForm");
        exit();
    }

     // Check for URL patterns and not allowed words
    if(matchcity($needles, $city)){
        header("location: {$failed_submit_url}?error=Not allowed words detected#contactForm");
        exit();
    }

    // Define the special characters you want to check for
    if (preg_match($specialChars, $city)) {
        // die('Submission rejected: Special characters detected in the message.');
        header("location: {$failed_submit_url}?error=Special characters detected#contactForm");
        exit();
    }

    $adr = $_POST['address'];

    if( strlen($adr) < $streetAddressCount ){
        header("location: {$failed_submit_url}?error=Address is wrong#contactForm");
        exit();
    }

    // Check for URL patterns and words not allowed
    if(matchadr($needles, $adr)){
        header("location: {$failed_submit_url}?error=Not allowed wordsd#contactForm");
        exit();
    }
    // Define the special characters you want to check for
    if (preg_match($specialChars, $adr)) {
        // die('Submission rejected: Special characters detected in the message.');
        header("location: {$failed_submit_url}?error=Special characters detected#contactForm");
        exit();
    }

    if( !ctype_digit($_POST['zip']) && strlen($_POST['zip']) > 5 ){
        header("location: {$failed_submit_url}?error=Invalid zip code format#contactForm");
        exit();
    }

    $message = $_POST['additional-details'];
    if( !empty($message) ){

        // Check for URL patterns and words not allowed
        if(matchmess($needles, $message)){
        header("location: {$failed_submit_url}?error=Not allowed words#contactForm");
        exit();
        }
    }

    $firstName = $_POST['first-name'];
    $lastName = $_POST['last-name'];
    $email = $_POST['email'];
    $business = $_POST['business'];
    $address = $_POST['address'];
    $city = $_POST['city'];
    $zip = $_POST['zip'];
    $cellPhone = $_POST['cell-phone'];
    $damaged = $_POST['yesno'];
    $hardwood = isset($_POST['hardwood']) ? $_POST['hardwood'] : "No";
    $additionalDetails = $_POST['additional-details'];

    $message = "First Name: $firstName\n";
    $message .= "Last Name: $lastName\n";
    $message .= "Email: $email\n";
    $message .= "Business: $business\n";
    $message .= "Address: $address\n";
    $message .= "City: $city\n";
    $message .= "ZIP: $zip\n";
    $message .= "Cell Phone: $cellPhone\n";
    $message .= "Has the property been damaged: $damaged\n";
    $message .= "Do you want communication from the QCI team via SMS: $hardwood\n";
    $message .= "Additional Details: $additionalDetails";

    // $headers = 'From: webmaster@example.com' . "\r\n";
    $headers = 'From: ' . $no_reply . '' . "\r\n";
    $headers .= 'MIME-Version: 1.0' . "\r\n";


    if (mail($to, $subject, $message, $headers)) {
        $url =  '../contactus.php?success=1#contactForm';
        header("Location: $url");
        exit();
    } else {
        $url =  '../contactus.php?error=Sorry, something went wrong#contactForm';
        header("Location: $url");
        exit();
    }
}
?>
