<?php
session_start();

$failed_submit_url = '../contactus.php';
if ($_SERVER["REQUEST_METHOD"] == "POST" && empty($_POST['honeypot'])) {

    $name_pattern = "/^[a-zA-Z-' ]+$/";

    $email = filter_var($_POST['email'], FILTER_SANITIZE_EMAIL);
    if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
        // die('Invalid email format.');
        header("location: /contactus.php?error=email#contactForm");
        exit();
    }

    // Check if first name is valid
    if (!preg_match($name_pattern, $_POST['first-name'])) {
        // die('Invalid first name format.');
        header("location: {$failed_submit_url}?error=Invalid first name format#contactForm");
        exit();
    }

    // Check if last name is valid
    if (!preg_match($name_pattern, $_POST['last-name'])) {
        // die('Invalid last name format.');
        header("location: {$failed_submit_url}?error=Invalid last name format#contactForm");
        exit();
    }

    // if (!preg_match('/^(\d{10}|\d{3}-\d{3}-\d{4})$/', $_POST['cell-phone'])) {
    if (!preg_match('/^[1-9]\d{9}$|^[1-9]\d{2}-\d{3}-\d{4}$/', $_POST['cell-phone'])) {
        // die('Invalid phone number format.');
        header("location: {$failed_submit_url}?error=Invalid phone number format#contactForm");
        exit();
    }

     // Check for URL patterns
     if (preg_match('/(http|https|ftp|ftps)\:\/\/|(www\.)[a-zA-Z0-9\-\.]+\.[a-zA-Z]{2,3}(\/\S*)?/', $_POST['city'])) {
        // die('Submission rejected: URL detected');
        header("location: {$failed_submit_url}?error=URL detected#contactForm");
        exit();
    }
    // Define the special characters you want to check for
    if (preg_match($specialChars, $_POST['city'])) {
        // die('Submission rejected: Special characters detected in the message.');
        header("location: {$failed_submit_url}?error=Special characters detected#contactForm");
        exit();
    }

    // Check for URL patterns
    if (preg_match('/(http|https|ftp|ftps)\:\/\/|(www\.)[a-zA-Z0-9\-\.]+\.[a-zA-Z]{2,3}(\/\S*)?/', $_POST['address'])) {
        // die('Submission rejected: URL detected');
        header("location: {$failed_submit_url}?error=URL detected#contactForm");
        exit();
    }
    // Define the special characters you want to check for
    if (preg_match($specialChars, $_POST['address'])) {
        // die('Submission rejected: Special characters detected in the message.');
        header("location: {$failed_submit_url}?error=Special characters detected#contactForm");
        exit();
    }

    if( !ctype_digit($_POST['zip']) && strlen($_POST['zip']) > 5 ){
        header("location: {$failed_submit_url}?error=Invalid zip code format#contactForm");
        exit();
    }

    $message = $_POST['additional-details'];
    if( !empty($message) ){

        // Check for URL patterns
        if (preg_match('/(http|https|ftp|ftps)\:\/\/|(www\.)[a-zA-Z0-9\-\.]+\.[a-zA-Z]{2,3}(\/\S*)?/', $message)) {
            // die('Submission rejected: URL detected');
            header("location: {$failed_submit_url}?error=URL detected#contactForm");
            exit();
        }
        // Define the special characters you want to check for
        $specialChars = "/[#\^£$%&*()}{@#~?><>,|=+¬-]/";
        if (preg_match($specialChars, $message)) {
            // die('Submission rejected: Special characters detected in the message.');
            header("location: {$failed_submit_url}?error=Special characters detected#contactForm");
            exit();
        }
    }

    $to = 'smatthews@cis-florida.com, jeff@cis-florida.com, marketing@raptormedia.co';
    // $to = 'taras@consultant.com, marketing@raptormedia.co';

    $subject = 'CIS Advantage Contact Form Request';

    $firstName = $_POST['first-name'];
    $lastName = $_POST['last-name'];
    // $email = $_POST['email'];
    $address = $_POST['address'];
    $city = $_POST['city'];
    $zip = $_POST['zip'];
    $cellPhone = $_POST['cell-phone'];
    // $homeowner = isset($_POST['homeowner']) ? $_POST['homeowner'] : 'Not specified';
    $additionalDetails = $_POST['additional-details'];

    $message = "First Name: $firstName\n";
    $message .= "Last Name: $lastName\n";
    $message .= "Email: $email\n";
    $message .= "Address: $address\n";
    $message .= "City: $city\n";
    $message .= "ZIP: $zip\n";
    $message .= "Cell Phone: $cellPhone\n";
    // $message .= "Is Homeowner?: $homeowner\n";
    $message .= "Additional Details: $additionalDetails";

    // $headers = 'From: webmaster@example.com' . "\r\n";
    // $headers .= 'Reply-To: ' . $to . "\r\n";
    $headers = 'From: no-reply@cis-advantage.com' . "\r\n";
    $headers .= 'MIME-Version: 1.0' . "\r\n";
    

    if (mail($to, $subject, $message, $headers)) {
        $url =  '../contactus.php?success=1#contactForm';
        header("Location: $url");
        exit();
    } else {
        $url =  '../contactus.php?error=Sorry, something went wrong#contactForm';
        header("Location: $url");
        exit();
    }
}
?>
