<!DOCTYPE html>
<html lang="en">
<head>
  <?php
  require 'php/setVariables.php';
  require 'php/buttons.php';
  $keywords = "about, about us";
  $description = "We Can Restore Your Property After A Disaster - Commercial Interior Solutions.";
  $title = "Privacy Policy | Roofing Company Sterling Heights";
  require 'req/header.php';
  ?>
  <link rel="stylesheet" href="https://unpkg.com/swiper/swiper-bundle.min.css" media="print" onload="this.media='all'">
  <link rel="stylesheet" href="https://unpkg.com/aos@next/dist/aos.css" media="print" onload="this.media='all'">
  <?php require 'req/topScripts.php'; ?>
</head>
<body>
  <?php require 'req/gtm-body-code.php'; ?>


  <div class="bodyFrame">

    <?php require 'req/topMHeader.php'; ?>

    <!-- begin content -->
    <main>







      <section>
        <div class="lrSection lrSectionSubPage privacySection">
          <div class="newSize aboutbg privacybg">
            <h1>Privacy Policy for MQCMI</h1>
              <p class="privacyp">MQCMI values the privacy of its users and is committed to protecting your personal information. This privacy policy is designed to explain how we collect, use, share, and protect the personal information you provide to us when you access our website, purchase our products or services, or engage with us on social media or through other online properties. Please read this policy carefully.</p>

            <div class="privacyWrap">
                <h3>Information We Collect</h3>
                <p>We collect both personally identifiable information and aggregate information to provide, maintain, and improve our products and services.</p>
                <h4>Personal Information</h4>
                <p>The personally identifiable information we collect may include, but is not limited to:</p>
                <ul>
                    <li>Full name</li>
                    <li>Postal address</li>
                    <li>Email address</li>
                    <li>Phone number</li>
                    <li>Payment information such as credit card details</li>
                    <li>Information collected from submissions through our website or apps such as contact/inquiry forms</li>
                </ul>
                <p>We collect personal information when you:</p>
                <ul class="privacylistbottom">
                <li>Create an online account with us</li>
                <li>Make an online purchase or place an order</li>
                <li>Sign up for our newsletter or other materials</li>
                <li>Request information or support</li>
                <li>Participate in contests, surveys, or promotions</li>
                </ul>
                <h4>Aggregate Information</h4>
                <p>We may collect general, non-identifying statistical information about the use of our website, such as pages visited, time spent on pages, number of visitors, etc. We may use analytics services or tracking technologies like cookies to gather this data. This information allows us to improve the performance and design of our website.</p>
                <h3>How We Use Your Information</h3>
                <p>We use the information we collect for purposes including:</p>
                <ul class="privacylistbottom">
                <li>Processing orders and providing products or services requested</li>
                <li>Sending product updates, technical notices, security alerts, support and administrative messages, service bulletins, marketing communications, and other informational messages as needed to ensure smooth operations</li>
                <li>Responding to user inquiries, comments, disputes, and other issues</li>
                <li>Improving our products, services, and operations</li>
                <li>Conducting research and analysis to maintain, protect, develop, and improve our products and services</li>
                <li>Preventing fraudulent transactions and analyzing risk</li>
                <li>Investigating and preventing security breaches, spam, abuse, unlawful activity, and other misconduct</li>
                </ul>
                <h3>How We Share Your Information</h3>
                <p>We do not sell or rent your personally identifiable information to third parties. We share information only in the following circumstances:</p>
                <ul class="privacylistbottom">
                    <li>With third party service providers we use to assist with things like data storage, surveys, contests, payment processing, etc. These services are contractually bound to protect your data and only use it for the services we specify.</li>
                    <li>Compliance with legal requirements like subpoenas, court orders, lawful investigations, or other law enforcement requests</li>
                    <li>Protecting rights and property of MQCMI, our users, and third parties</li>
                    <li>Significant company transactions like a merger, acquisition, bankruptcy, etc. User information may be transferred or acquired by another company</li>
                    </ul>
                <h3>Data Retention</h3>
                <p>We retain personal information as long as required to fulfill the purposes outlined in this policy, unless a longer retention period is required by law. We will then dispose of information safely and securely.</p>
                <h3>Your Rights Over Your Information</h3>
                <p>You have rights over the personal information we collect and use. These include:</p>
                <h4>Access</h4>
                <p>You can request access to the personal information we hold about you and receive copies.</p>
                <h4>Correction</h4>
                <p>You can request that any incomplete or inaccurate information we hold about you be corrected.</p>
                <h4>Erasure</h4>
                <p>You have the right to request that personal information about you be erased in certain circumstances.</p>
                <h4>Restriction of Processing</h4>
                <p>You can ask that we restrict further processing of your personal information in certain cases.</p>
                <h4>Object to Processing</h4>
                <p>You can object to our continued processing of your personal information.</p>
                <h4>Data Portability</h4>
                <p>You can ask for a copy of certain personal information for you to reuse with another service or company in certain cases.</p>
                <p>To make a request regarding your personal information please contact us via email at [INSERT EMAIL].</p>
                <h3>Third Party Websites</h3>
                <p>Our website or related content may contain links to third party websites. These sites are governed by their own privacy statements and we are not responsible for their operations, including how they use your information. Please review their privacy policies carefully before providing information on such sites.</p>
                <h3>Children’s Privacy</h3>
                <p>Our products and services are primarily designed for adults. We do not intentionally collect or maintain data on those under 18 years of age.</p>
                <h3>Security of Your Information</h3>
                <p>We employ industry standard procedural and technological measures to protect your information. Access to data is tightly controlled and restricted to employees who need it to perform their job functions. We cannot guarantee that breaches will never occur, but we take all appropriate precautions to prevent such unfortunate events.</p>
                <h3>Changes to this Policy</h3>
                <p>We may occasionally update this privacy policy as business needs and laws change. If significant changes are made, we will notify registered users via email and provide a prominent notice on our website. Your continued use of our products, services, or website after any change constitutes acceptance of the new policy.</p>
                <h3>Contact Us</h3>
                <p>Please feel free to contact us with any questions or concerns about this privacy policy and our practices. You can reach us by calling at (586) 222-8111 or via traditional mail through our location below:
                <span>7617 19 Mile Rd., Sterling Heights, MI 48314</span></p>
              </div>

          </div><!-- end newSize -->
        </div><!-- end lrSection -->
      </section>







    </main>
    <!-- end content -->

  </div><!-- end bodyFrame -->

  <?php require 'req/footer.php'; ?>

</body>
</html>
